## 9.0.0+1
### Changed
- Update dependency constraints to `sdk: '>=3.0.0 <4.0.0' flutter: '>=3.3.0'`
- Update dependencies to be compatible with Flutter 3.10.0

## 8.0.1+67
### Added
- Metric param added to `toHumanReadableDistanceCount` and `toHumanReadableSpeedCount` 

## 8.0.0+66
### Changed
- Updated to support latest Flutter 3.7

## 7.1.0+65
### Added
- LocaleUtils added support for `usesMetricSystem` checking.

## 7.0.0+64
### Changed
- Breaking change on dependency version `package_info_plus: ^3.0.0`

## 6.0.2+62
### Changed
- Dependencies updated

## 6.0.1+61
### Changed
- `SlideRoute`, `ScaleRoute`, `RotationRoute`, `SizeRoute`, `FadeRoute`, `EnterExitRoute` and `ScaleRotateRoute` updated to support several extra params, like transition duration and other.

## 6.0.0+60
### Added
- ConnectionUtils updated to allow to specify which method between `OPTIONS` and `HEAD` to be used in the functions `isResponseSuccessful` and `isResponseOnline`. Defaults to `OPTIONS`
- `device_info_plus` updated to breaking change version

## 5.1.0+59
### Added
- Set device orientation functions added to ScreenUtils.

### Changed
- ConnectionUtils updated to use `OPTIONS` http method in the functions `isResponseSuccessful` and `isResponseOnline`. 

## 5.0.2+58
### Changed
- T? _ambiguate<T>(T? value) => value; implemented for compatibility reasons to avoid warnings about unnecessary null-safety operator for SchedulerBinding.instance? and WidgetsBinding.instance?.

## 5.0.1+57
### Changed
- SchedulerBinding.instance? and WidgetsBinding.instance? added null-safety operator for stable channel compatibility.

## 5.0.0+56
### Changed
- Breaking change on InputMethodUtils `hideInputMethod` and `showInputMethod` functions arguments.

## 4.0.0+55
### Changed
- Minor changes

## 4.0.0+54
### Changed
- ConnectionUtils functions `isResponseSuccessful` and `isResponseOnline` updated to avoid throwing exceptions when request timeouts
- `timeout` param in `isResponseSuccessful` and `isResponseOnline` updated to accept a `Duration` or directly an int `timeoutMillis` value.

## 3.1.9+53
### Changed
- ConnectionUtils functions `isResponseSuccessful` and `isResponseOnline` updated to avoid throwing exceptions when request timeouts

## 3.1.8+52
### Changed
- Full code refactored fixing several warnings and lints.

## 3.1.7+51
### Changed
- Dependencies updated 

## 3.1.6+50
### Changed
- Dependencies updated 

## 3.1.5+49
### Fixed
- Bug fixed on LengthValidationController. 

## 3.1.4+48
### Fixed
- Bug fixed in `showLoading/hideLoading` functions that caused setState(...) call without checking if mounted.
- Bug fixed in `addLifecycleAware` function that was not taking into account all life cycles by default.

## 3.1.3+47
### Changed
- ScreenUtils improved.

## 3.1.2+46
### Changed
- Dependencies updated

## 3.1.1+45
## Fixed
- Bug in bodyLoading that caused child to rebuild every time loading changes. 

## 3.1.0+44
### Changed
- Dependencies updated

## 3.0.1+43
### Fixed
- LocaleUtils toJson/fromJson bug fixed
- AdeptDateTime and ZonedDateTime fromJson bug fixed

## 3.0.0+42
### Added
- Coordinates class to work with map coordinates

### Changed
- DimenUtils refactored to remove deprecated snake_case attributes;
- Location updated with several functions to calculate haversine and euclidean distance, to parse to and from Map, to copyWith, and other 

## 2.0.0+41-nullsafety.1
### Added
- Support for null-safety

## 1.6.4+40
### Changed
- IntentUtils updated to return Future<bool> and some validations added

## 1.6.3+39
### Changed
- Some dependencies updated

## 1.6.2+38
### Changed
- Jsonable class updated with generic implementations of fromJsonStringGeneric, fromJsonStringListGeneric, fromJsonListGeneric

## 1.6.1+37
### Changed
- DimenUtils updated with camelCase names for non constants identifiers

## 1.6.0+36
### Added
- Support for AdeptController validations with dependency
- New validators controllers for numbers

### Changed
- Validators controllers allows to specify are required.

## 1.5.1+35
## 1.5.0+34
## 1.3.4+33
## 1.3.3+32
## 1.3.2+31
## 1.3.1+30
## 1.3.1+29
## 1.3.0+28
## 1.2.2+27
## 1.2.1+26
## 1.2.0+25
## 1.1.9+24
## 1.1.8+23
## 1.1.7+22
## 1.1.6+21
## 1.1.5+20
## 1.1.4+19
## 1.1.3+18
## 1.1.2+17
## 1.1.1+16
## 1.1.0+15
## 1.0.9+14
## 1.0.8+13
## 1.0.7+12
## 1.0.6+11
## 1.0.5+10
## 1.0.4+9
## 1.0.3
