class MultiEntrySet<E> implements Set<E> /*, Iterable<E>*/
{
  late List<E> _entries;

  MultiEntrySet() {
    _entries = [];
  }

  @override
  Set<R> cast<R>() => {};

  @override
  Set<E> toSet() => {};

  @override
  void clear() {
    _entries.clear();
  }

  @override
  Set<E> difference(Set<Object?> other) => {};

  @override
  Set<E> union(Set<E?> other) => {};

  @override
  Set<E> intersection(Set<Object?> other) => {};

  @override
  bool containsAll(Iterable<Object?> other) {
    return false;
  }

  @override
  void retainWhere(bool Function(E element) test) {}

  @override
  void removeWhere(bool Function(E element) test) {}

  @override
  void retainAll(Iterable<Object?> elements) {}

  @override
  void removeAll(Iterable<Object?> elements) {}

  @override
  E? lookup(Object? object) {
    return null;
  }

  @override
  bool remove(Object? value) => _entries.remove(value);

  @override
  void addAll(Iterable<E> elements) => _entries.addAll(elements);

  @override
  bool add(E value) {
    _entries.add(value);
    return true;
  }

  @override
  bool contains(Object? value) {
    for (E? entry in _entries) {
      if (entry == value) return true;
    }
    return false;
  }

  @override
  Iterator<E> get iterator => _entries.iterator;

  @override
  Iterable<E> followedBy(Iterable<E?> other) => [];

  @override
  E elementAt(int index) => _entries.elementAt(index);

  @override
  E singleWhere(bool Function(E element) test, {E Function()? orElse}) =>
      _entries.singleWhere(test, orElse: orElse);

  @override
  E lastWhere(bool Function(E element) test, {E Function()? orElse}) =>
      _entries.lastWhere(test, orElse: orElse);

  @override
  E firstWhere(bool Function(E element) test, {E Function()? orElse}) =>
      _entries.firstWhere(test, orElse: orElse);

  @override
  E get single => _entries.single;

  @override
  E get last => _entries.last;

  @override
  E get first => _entries.first;

  @override
  Iterable<E> skipWhile(bool Function(E value) test) =>
      _entries.skipWhile(test);

  @override
  Iterable<E> skip(int count) => _entries.skip(count);

  @override
  Iterable<E> takeWhile(bool Function(E value) test) =>
      _entries.takeWhile(test);

  @override
  Iterable<E> take(int count) => _entries.take(count);

  @override
  bool get isNotEmpty => _entries.isNotEmpty;

  @override
  bool get isEmpty => _entries.isEmpty;

  @override
  int get length => _entries.length;

  @override
  List<E> toList({bool growable = true}) => _entries.toList(growable: growable);

  @override
  bool any(bool Function(E element) test) => _entries.any(test);

  @override
  String join([String separator = '']) => _entries.join(separator);

  @override
  bool every(bool Function(E element) test) => _entries.every(test);

  @override
  T fold<T>(T initialValue, T Function(T previousValue, E element) combine) =>
      _entries.fold(initialValue, combine);

  @override
  E reduce(E Function(E value, E element) combine) => _entries.reduce(combine);

  @override
  void forEach(void Function(E element) f) => _entries.forEach(f);

  @override
  Iterable<T> expand<T>(Iterable<T> Function(E element) f) =>
      _entries.expand(f);

  @override
  Iterable<T> whereType<T>() => _entries.whereType();

  @override
  Iterable<E> where(bool Function(E element) test) => _entries.where(test);

  @override
  Iterable<T> map<T>(T Function(E e) f) => _entries.map(f);
}
