import 'package:adeptutils/src/interfaces/iloader.dart';
import 'package:adeptutils/src/interfaces/item_click_callback.dart';
import 'package:adeptutils/src/interfaces/item_long_click_callback.dart';
import 'package:adeptutils/src/interfaces/click_callback.dart';
import 'package:adeptutils/src/interfaces/long_click_callback.dart';

abstract class IBasic<T>
    implements
        ILoader,
        ItemClickCallback<T>,
        ItemLongClickCallback<T>,
        ClickCallback,
        LongClickCallback {
  void extras();
  void init();
  void listeners();
  void check();
  bool validate();
}
